
<!doctype html PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><title>Python: module yahoo.search.site</title>
</head><body bgcolor="#f0f0f8">

<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="heading">
<tr bgcolor="#7799ee">
<td valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial">&nbsp;<br><big><big><strong><a href="yahoo.html"><font color="#ffffff">yahoo</font></a>.<a href="yahoo.search.html"><font color="#ffffff">search</font></a>.site</strong></big></big> (version 1.3, Tue Feb 27 21:54:42 MST 2007)</font></td
><td align=right valign=bottom
><font color="#ffffff" face="helvetica, arial"><a href=".">index</a><br><a href="file:/home/leif/hack/pysearch/yahoo/search/site.py">/home/leif/hack/pysearch/yahoo/search/site.py</a></font></td></tr></table>
    <p><tt>yahoo.search.site&nbsp;-&nbsp;Site&nbsp;Explorer&nbsp;services&nbsp;module<br>
&nbsp;<br>
This&nbsp;module&nbsp;implements&nbsp;the&nbsp;Site&nbsp;Explorer&nbsp;web&nbsp;services,&nbsp;which&nbsp;can&nbsp;be&nbsp;used<br>
gain&nbsp;a&nbsp;unique&nbsp;perspective&nbsp;on&nbsp;your&nbsp;online&nbsp;presence.&nbsp;The&nbsp;supported&nbsp;classes<br>
of&nbsp;site&nbsp;explorer&nbsp;are:<br>
&nbsp;&nbsp;&nbsp;&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;<a href="#PageData">PageData</a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Shows&nbsp;a&nbsp;list&nbsp;of&nbsp;all&nbsp;pages&nbsp;belonging&nbsp;to&nbsp;a&nbsp;domain<br>
&nbsp;&nbsp;&nbsp;&nbsp;<a href="#InlinkData">InlinkData</a>&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Shows&nbsp;the&nbsp;pages&nbsp;from&nbsp;other&nbsp;sites&nbsp;linking&nbsp;in&nbsp;to&nbsp;a&nbsp;page<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;Update&nbsp;Notification&nbsp;&nbsp;-&nbsp;Notify&nbsp;Yahoo!&nbsp;of&nbsp;changes&nbsp;to&nbsp;your&nbsp;site<br>
&nbsp;<br>
&nbsp;<br>
An&nbsp;application&nbsp;ID&nbsp;(appid)&nbsp;is&nbsp;always&nbsp;required&nbsp;when&nbsp;instantiating&nbsp;a&nbsp;search<br>
object.&nbsp;In&nbsp;addition,&nbsp;each&nbsp;search&nbsp;class&nbsp;takes&nbsp;different&nbsp;set&nbsp;of&nbsp;parameters,<br>
as&nbsp;defined&nbsp;by&nbsp;this&nbsp;table<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="#PageData">PageData</a>&nbsp;&nbsp;<a href="#InlinkData">InlinkData</a>&nbsp;&nbsp;Update&nbsp;Notification<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;--------&nbsp;&nbsp;----------&nbsp;&nbsp;-------------------<br>
&nbsp;&nbsp;&nbsp;&nbsp;query&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[X]&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[X]&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;.<br>
&nbsp;&nbsp;&nbsp;&nbsp;results&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[X]&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[X]&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;.<br>
&nbsp;&nbsp;&nbsp;&nbsp;start&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[X]&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[X]&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;.<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;domain_only&nbsp;&nbsp;&nbsp;&nbsp;[X]&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;.&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;.<br>
&nbsp;&nbsp;&nbsp;&nbsp;entire_site&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;.&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[X]&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;.<br>
&nbsp;&nbsp;&nbsp;&nbsp;omit_inlinks&nbsp;&nbsp;&nbsp;&nbsp;.&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[X]&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;.<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;url&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;.&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;.&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[X]<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;output&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[X]&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[X]&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;.<br>
&nbsp;&nbsp;&nbsp;&nbsp;callback&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[X]&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[X]&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;.<br>
&nbsp;<br>
&nbsp;<br>
Each&nbsp;of&nbsp;these&nbsp;parameter&nbsp;is&nbsp;implemented&nbsp;as&nbsp;an&nbsp;attribute&nbsp;of&nbsp;each<br>
respective&nbsp;class.&nbsp;For&nbsp;example,&nbsp;you&nbsp;can&nbsp;set&nbsp;parameters&nbsp;like:<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;from&nbsp;yahoo.search.site&nbsp;import&nbsp;<a href="#PageData">PageData</a><br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;srch&nbsp;=&nbsp;<a href="#PageData">PageData</a>(appid="YahooDemo")<br>
&nbsp;&nbsp;&nbsp;&nbsp;srch.query&nbsp;=&nbsp;"<a href="http://www.ogre.com">http://www.ogre.com</a>"<br>
&nbsp;&nbsp;&nbsp;&nbsp;srch.results&nbsp;=&nbsp;75<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;for&nbsp;res&nbsp;in&nbsp;srch.parse_results():<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;print&nbsp;res.Url</tt></p>
<p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#aa55cc">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#fffff" face="helvetica, arial"><big><strong>Modules</strong></big></font></td></tr>
    
<tr><td bgcolor="#aa55cc"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><table width="100%" summary="list"><tr><td width="25%" valign=top><a href="types.html">types</a><br>
</td><td width="25%" valign=top><a href="yahoo.html">yahoo</a><br>
</td><td width="25%" valign=top></td><td width="25%" valign=top></td></tr></table></td></tr></table><p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ee77aa">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Classes</strong></big></font></td></tr>
    
<tr><td bgcolor="#ee77aa"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><dl>
<dt><font face="helvetica, arial"><a href="yahoo.search.html#_BasicSearch">yahoo.search._BasicSearch</a>(<a href="yahoo.search.html#_Search">yahoo.search._Search</a>)
</font></dt><dd>
<dl>
<dt><font face="helvetica, arial"><a href="yahoo.search.site.html#InlinkData">InlinkData</a>
</font></dt><dt><font face="helvetica, arial"><a href="yahoo.search.site.html#PageData">PageData</a>
</font></dt></dl>
</dd>
<dt><font face="helvetica, arial"><a href="yahoo.search.html#_Search">yahoo.search._Search</a>(<a href="yahoo.search.debug.html#Debuggable">yahoo.search.debug.Debuggable</a>, <a href="__builtin__.html#object">__builtin__.object</a>)
</font></dt><dd>
<dl>
<dt><font face="helvetica, arial"><a href="yahoo.search.site.html#UpdateNotification">UpdateNotification</a>
</font></dt></dl>
</dd>
</dl>
 <p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ffc8d8">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#000000" face="helvetica, arial"><a name="InlinkData">class <strong>InlinkData</strong></a>(<a href="yahoo.search.html#_BasicSearch">yahoo.search._BasicSearch</a>)</font></td></tr>
    
<tr bgcolor="#ffc8d8"><td rowspan=2><tt>&nbsp;&nbsp;&nbsp;</tt></td>
<td colspan=2><tt><a href="#InlinkData">InlinkData</a>&nbsp;-&nbsp;discover&nbsp;what&nbsp;pages&nbsp;link&nbsp;to&nbsp;your&nbsp;website<br>
&nbsp;<br>
This&nbsp;class&nbsp;implements&nbsp;the&nbsp;Inlink&nbsp;Data&nbsp;web&nbsp;service&nbsp;APIs.&nbsp;Allowed<br>
parameters&nbsp;are:<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;query&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;query&nbsp;to&nbsp;search&nbsp;for&nbsp;(UTF-8&nbsp;encoded).<br>
&nbsp;&nbsp;&nbsp;&nbsp;results&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;number&nbsp;of&nbsp;results&nbsp;to&nbsp;return&nbsp;(1-100).<br>
&nbsp;&nbsp;&nbsp;&nbsp;start&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;starting&nbsp;result&nbsp;position&nbsp;to&nbsp;return&nbsp;(1-based).<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The&nbsp;finishing&nbsp;position&nbsp;(start&nbsp;+&nbsp;results&nbsp;-&nbsp;1)&nbsp;cannot<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;exceed&nbsp;1000.<br>
&nbsp;&nbsp;&nbsp;&nbsp;entire_site&nbsp;&nbsp;-&nbsp;Specifies&nbsp;whether&nbsp;to&nbsp;provide&nbsp;results&nbsp;for&nbsp;the&nbsp;entire<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;site,&nbsp;or&nbsp;just&nbsp;the&nbsp;page&nbsp;referenced&nbsp;by&nbsp;the&nbsp;query.&nbsp;If&nbsp;the<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;query&nbsp;is&nbsp;not&nbsp;a&nbsp;domain&nbsp;URL&nbsp;(i.e.&nbsp;it&nbsp;contains&nbsp;a&nbsp;path,<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;such&nbsp;as&nbsp;<a href="http://smallbusiness.yahoo.com/webhosting/">http://smallbusiness.yahoo.com/webhosting/</a>),<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;this&nbsp;parameter&nbsp;has&nbsp;no&nbsp;effect.&nbsp;Allowed&nbsp;values&nbsp;are<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;0&nbsp;(default)&nbsp;or&nbsp;1.<br>
&nbsp;&nbsp;&nbsp;&nbsp;omit_inlinks&nbsp;-&nbsp;If&nbsp;specified,&nbsp;inlinks&nbsp;will&nbsp;not&nbsp;be&nbsp;returned&nbsp;if&nbsp;they<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;are&nbsp;from&nbsp;pages&nbsp;in&nbsp;the&nbsp;same&nbsp;domain/subdomain&nbsp;as&nbsp;the<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;requested&nbsp;page.&nbsp;Allowed&nbsp;values&nbsp;are&nbsp;domain&nbsp;or<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;subdomain.<br>
&nbsp;&nbsp;&nbsp;&nbsp;output&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;format&nbsp;for&nbsp;the&nbsp;output&nbsp;result.&nbsp;If&nbsp;json&nbsp;or&nbsp;php&nbsp;is<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;requested,&nbsp;the&nbsp;result&nbsp;is&nbsp;not&nbsp;XML&nbsp;parseable,&nbsp;so&nbsp;we<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;will&nbsp;simply&nbsp;return&nbsp;the&nbsp;"raw"&nbsp;string.<br>
&nbsp;&nbsp;&nbsp;&nbsp;callback&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;name&nbsp;of&nbsp;the&nbsp;callback&nbsp;function&nbsp;to&nbsp;wrap&nbsp;around<br>
&nbsp;<br>
&nbsp;<br>
Full&nbsp;documentation&nbsp;for&nbsp;this&nbsp;service&nbsp;is&nbsp;available&nbsp;at:<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;<a href="http://developer.yahoo.net/search/siteexplorer/V1/inlinkData.html">http://developer.yahoo.net/search/siteexplorer/V1/inlinkData.html</a><br>&nbsp;</tt></td></tr>
<tr><td>&nbsp;</td>
<td width="100%"><dl><dt>Method resolution order:</dt>
<dd><a href="yahoo.search.site.html#InlinkData">InlinkData</a></dd>
<dd><a href="yahoo.search.html#_BasicSearch">yahoo.search._BasicSearch</a></dd>
<dd><a href="yahoo.search.html#_Search">yahoo.search._Search</a></dd>
<dd><a href="yahoo.search.debug.html#Debuggable">yahoo.search.debug.Debuggable</a></dd>
<dd><a href="__builtin__.html#object">__builtin__.object</a></dd>
</dl>
<hr>
Data and other attributes defined here:<br>
<dl><dt><strong>NAME</strong> = 'inlinkData'</dl>

<dl><dt><strong>SERVICE</strong> = 'SiteExplorerService'</dl>

<hr>
Methods inherited from <a href="yahoo.search.html#_Search">yahoo.search._Search</a>:<br>
<dl><dt><a name="InlinkData-__getattr__"><strong>__getattr__</strong></a>(self, name)</dt></dl>

<dl><dt><a name="InlinkData-__init__"><strong>__init__</strong></a>(self, app_id, opener<font color="#909090">=None</font>, xml_parser<font color="#909090">=None</font>, result_factory<font color="#909090">=None</font>, debug_level<font color="#909090">=0</font>, **args)</dt><dd><tt>The&nbsp;app_id&nbsp;is&nbsp;a&nbsp;required&nbsp;argument,&nbsp;the&nbsp;Yahoo&nbsp;search&nbsp;services&nbsp;will<br>
not&nbsp;accept&nbsp;requests&nbsp;without&nbsp;a&nbsp;proper&nbsp;app_id.&nbsp;A&nbsp;valid&nbsp;app_id&nbsp;is&nbsp;a<br>
combination&nbsp;of&nbsp;8&nbsp;-&nbsp;40&nbsp;characters,&nbsp;matching&nbsp;the&nbsp;regexp<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;"^[a-zA-Z0-9&nbsp;_()\[\]*+\-=,.:\\@]{8,40}$"<br>
&nbsp;<br>
Please&nbsp;visit&nbsp;<a href="http://developer.yahoo.net/search/">http://developer.yahoo.net/search/</a>&nbsp;to&nbsp;request&nbsp;an&nbsp;App&nbsp;ID<br>
for&nbsp;your&nbsp;own&nbsp;software&nbsp;or&nbsp;application.<br>
&nbsp;&nbsp;&nbsp;&nbsp;<br>
Four&nbsp;optional&nbsp;arguments&nbsp;can&nbsp;also&nbsp;be&nbsp;passed&nbsp;to&nbsp;the&nbsp;constructor:<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;opener&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Opener&nbsp;for&nbsp;urllib2<br>
&nbsp;&nbsp;&nbsp;&nbsp;xml_parser&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Function&nbsp;to&nbsp;parse&nbsp;XML&nbsp;(default:&nbsp;minidom)<br>
&nbsp;&nbsp;&nbsp;&nbsp;result_factory&nbsp;-&nbsp;Result&nbsp;factory&nbsp;class&nbsp;(default:&nbsp;none)<br>
&nbsp;&nbsp;&nbsp;&nbsp;debug_devel&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Debug&nbsp;level&nbsp;(if&nbsp;any)<br>
&nbsp;<br>
All&nbsp;other&nbsp;"named"&nbsp;arguments&nbsp;are&nbsp;passed&nbsp;into&nbsp;as&nbsp;a&nbsp;dictionary&nbsp;to&nbsp;the<br>
<a href="#InlinkData-set_params">set_params</a>()&nbsp;method.<br>
&nbsp;<br>
The&nbsp;result&nbsp;factory&nbsp;is&nbsp;specific&nbsp;to&nbsp;the&nbsp;particular&nbsp;web&nbsp;service&nbsp;used,<br>
e.g.&nbsp;the&nbsp;different&nbsp;Yahoo&nbsp;Search&nbsp;services&nbsp;will&nbsp;each&nbsp;implement&nbsp;their<br>
own&nbsp;factory&nbsp;class.<br>
&nbsp;<br>
Both&nbsp;of&nbsp;these&nbsp;settings&nbsp;can&nbsp;be&nbsp;controlled&nbsp;via&nbsp;their&nbsp;respective<br>
install&nbsp;method&nbsp;(see&nbsp;below).</tt></dd></dl>

<dl><dt><a name="InlinkData-__setattr__"><strong>__setattr__</strong></a>(self, name, value)</dt><dd><tt>#&nbsp;Implement&nbsp;the&nbsp;attribute&nbsp;handlers,&nbsp;to&nbsp;avoid&nbsp;confusion</tt></dd></dl>

<dl><dt><a name="InlinkData-encode_params"><strong>encode_params</strong></a>(self)</dt><dd><tt>URL&nbsp;encode&nbsp;the&nbsp;list&nbsp;of&nbsp;parameter&nbsp;values.</tt></dd></dl>

<dl><dt><a name="InlinkData-get_param"><strong>get_param</strong></a>(self, param)</dt><dd><tt>Get&nbsp;the&nbsp;value&nbsp;of&nbsp;a&nbsp;query&nbsp;parameter,&nbsp;or&nbsp;the&nbsp;default&nbsp;value&nbsp;if&nbsp;unset</tt></dd></dl>

<dl><dt><a name="InlinkData-get_results"><strong>get_results</strong></a>(self, stream<font color="#909090">=None</font>, xml_parser<font color="#909090">=None</font>, close<font color="#909090">=True</font>)</dt><dd><tt>Read&nbsp;the&nbsp;stream&nbsp;(if&nbsp;provided)&nbsp;and&nbsp;either&nbsp;return&nbsp;the&nbsp;raw&nbsp;XML,&nbsp;or<br>
send&nbsp;the&nbsp;data&nbsp;to&nbsp;the&nbsp;provided&nbsp;XML&nbsp;parser&nbsp;for&nbsp;further&nbsp;processing.<br>
If&nbsp;no&nbsp;stream&nbsp;is&nbsp;provided,&nbsp;it&nbsp;will&nbsp;call&nbsp;the&nbsp;<a href="#InlinkData-open">open</a>()&nbsp;method&nbsp;using&nbsp;the<br>
default&nbsp;opener.&nbsp;The&nbsp;stream&nbsp;will&nbsp;be&nbsp;closed&nbsp;upon&nbsp;return&nbsp;from&nbsp;this<br>
method,&nbsp;unless&nbsp;the&nbsp;close=False&nbsp;is&nbsp;passed&nbsp;as&nbsp;an&nbsp;argument.</tt></dd></dl>

<dl><dt><a name="InlinkData-get_url"><strong>get_url</strong></a>(self, with_params<font color="#909090">=True</font>)</dt><dd><tt>Return&nbsp;the&nbsp;URL&nbsp;for&nbsp;this&nbsp;request&nbsp;object</tt></dd></dl>

<dl><dt><a name="InlinkData-get_valid_params"><strong>get_valid_params</strong></a>(self)</dt><dd><tt>Return&nbsp;a&nbsp;list&nbsp;of&nbsp;all&nbsp;valid&nbsp;parameters&nbsp;for&nbsp;this&nbsp;search</tt></dd></dl>

<dl><dt><a name="InlinkData-install_opener"><strong>install_opener</strong></a>(self, opener)</dt><dd><tt>Install&nbsp;a&nbsp;URL&nbsp;opener&nbsp;(for&nbsp;use&nbsp;with&nbsp;urllib2),&nbsp;overriding&nbsp;the<br>
default&nbsp;opener.&nbsp;This&nbsp;is&nbsp;rarely&nbsp;required.</tt></dd></dl>

<dl><dt><a name="InlinkData-install_result_factory"><strong>install_result_factory</strong></a>(self, result_factory)</dt><dd><tt>Install&nbsp;a&nbsp;python&nbsp;class&nbsp;(not&nbsp;an&nbsp;instance!)&nbsp;that&nbsp;should&nbsp;be&nbsp;used&nbsp;as&nbsp;a<br>
factory&nbsp;for&nbsp;creating&nbsp;result(s)&nbsp;objects.</tt></dd></dl>

<dl><dt><a name="InlinkData-install_xml_parser"><strong>install_xml_parser</strong></a>(self, xml_parser)</dt><dd><tt>Install&nbsp;an&nbsp;XML&nbsp;parser&nbsp;that&nbsp;will&nbsp;be&nbsp;used&nbsp;for&nbsp;all&nbsp;results&nbsp;for&nbsp;this<br>
object.&nbsp;The&nbsp;parser&nbsp;is&nbsp;expected&nbsp;to&nbsp;"read"&nbsp;the&nbsp;data&nbsp;from&nbsp;the&nbsp;supplied<br>
stream&nbsp;argument.&nbsp;To&nbsp;uninstall&nbsp;the&nbsp;parser&nbsp;(e.g.&nbsp;to&nbsp;make&nbsp;sure&nbsp;we<br>
return&nbsp;raw&nbsp;XML&nbsp;data)&nbsp;simply&nbsp;call&nbsp;this&nbsp;method&nbsp;with&nbsp;an&nbsp;argument&nbsp;of<br>
None.</tt></dd></dl>

<dl><dt><a name="InlinkData-missing_params"><strong>missing_params</strong></a>(self)</dt><dd><tt>Validate&nbsp;that&nbsp;the&nbsp;search&nbsp;object&nbsp;is&nbsp;propertly&nbsp;setup&nbsp;with&nbsp;all<br>
required&nbsp;parameters&nbsp;etc.&nbsp;This&nbsp;is&nbsp;called&nbsp;automatically&nbsp;before&nbsp;a<br>
search&nbsp;is&nbsp;actually&nbsp;performed,&nbsp;but&nbsp;you&nbsp;can&nbsp;also&nbsp;call&nbsp;it&nbsp;manually<br>
if&nbsp;desired.&nbsp;It&nbsp;will&nbsp;return&nbsp;a&nbsp;list&nbsp;of&nbsp;zero&nbsp;or&nbsp;more&nbsp;paramters&nbsp;that<br>
are&nbsp;missing.</tt></dd></dl>

<dl><dt><a name="InlinkData-open"><strong>open</strong></a>(self, opener<font color="#909090">=None</font>, retries<font color="#909090">=2</font>)</dt><dd><tt>Open&nbsp;a&nbsp;connection&nbsp;to&nbsp;the&nbsp;webservice&nbsp;server,&nbsp;and&nbsp;request&nbsp;the&nbsp;URL.<br>
The&nbsp;return&nbsp;value&nbsp;is&nbsp;a&nbsp;"stream",&nbsp;which&nbsp;can&nbsp;be&nbsp;read&nbsp;calling&nbsp;the<br>
read(),&nbsp;readline()&nbsp;or&nbsp;readlines()&nbsp;methods.&nbsp;If&nbsp;you&nbsp;override&nbsp;this<br>
method,&nbsp;please&nbsp;make&nbsp;sure&nbsp;to&nbsp;call&nbsp;the&nbsp;<a href="#InlinkData-missing_params">missing_params</a>()&nbsp;method&nbsp;before<br>
you&nbsp;try&nbsp;to&nbsp;send&nbsp;a&nbsp;request&nbsp;to&nbsp;the&nbsp;Web&nbsp;server.</tt></dd></dl>

<dl><dt><a name="InlinkData-parse_results"><strong>parse_results</strong></a>(self, xml<font color="#909090">=None</font>)</dt><dd><tt>Get&nbsp;the&nbsp;result&nbsp;from&nbsp;the&nbsp;request,&nbsp;and&nbsp;instantiate&nbsp;the&nbsp;appropriate<br>
result&nbsp;class.&nbsp;This&nbsp;class&nbsp;will&nbsp;be&nbsp;populated&nbsp;with&nbsp;all&nbsp;the&nbsp;data&nbsp;from<br>
the&nbsp;XML&nbsp;object.</tt></dd></dl>

<dl><dt><a name="InlinkData-reset"><strong>reset</strong></a>(self)</dt><dd><tt>Reset&nbsp;all&nbsp;the&nbsp;parameter&nbsp;values&nbsp;for&nbsp;the&nbsp;object&nbsp;instance.</tt></dd></dl>

<dl><dt><a name="InlinkData-set_param"><strong>set_param</strong></a>(self, param, value)</dt><dd><tt>Set&nbsp;the&nbsp;value&nbsp;of&nbsp;a&nbsp;query&nbsp;parameter</tt></dd></dl>

<dl><dt><a name="InlinkData-set_params"><strong>set_params</strong></a>(self, args)</dt><dd><tt>Set&nbsp;one&nbsp;or&nbsp;several&nbsp;query&nbsp;parameters&nbsp;from&nbsp;a&nbsp;dictionary</tt></dd></dl>

<hr>
Properties inherited from <a href="yahoo.search.html#_Search">yahoo.search._Search</a>:<br>
<dl><dt><strong>app_id</strong></dt>
<dd><tt>Application&nbsp;ID&nbsp;(issued&nbsp;by&nbsp;Yahoo),&nbsp;same&nbsp;ass&nbsp;appid</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_app_id(self)</dt><dd><tt>Get&nbsp;the&nbsp;application&nbsp;ID.</tt></dd></dl>
</dd>
<dd><dl><dt><a name="-<em>set</em>"><strong><em>set</em></strong></a> = _set_app_id(self, app_id)</dt><dd><tt>Set&nbsp;the&nbsp;application&nbsp;ID,&nbsp;which&nbsp;is&nbsp;required.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>appid</strong></dt>
<dd><tt>Application&nbsp;ID&nbsp;(issued&nbsp;by&nbsp;Yahoo)</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_app_id(self)</dt><dd><tt>Get&nbsp;the&nbsp;application&nbsp;ID.</tt></dd></dl>
</dd>
<dd><dl><dt><a name="-<em>set</em>"><strong><em>set</em></strong></a> = _set_app_id(self, app_id)</dt><dd><tt>Set&nbsp;the&nbsp;application&nbsp;ID,&nbsp;which&nbsp;is&nbsp;required.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>cc_licenses</strong></dt>
<dd><tt>List&nbsp;of&nbsp;all&nbsp;supported&nbsp;Creative&nbsp;Commons&nbsp;licenses</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_cc_licenses(self)</dt><dd><tt>Get&nbsp;the&nbsp;list&nbsp;of&nbsp;all&nbsp;supported&nbsp;CC&nbsp;licenses.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>countries</strong></dt>
<dd><tt>List&nbsp;of&nbsp;all&nbsp;supported&nbsp;county&nbsp;codes</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_countries(self)</dt><dd><tt>Get&nbsp;the&nbsp;list&nbsp;of&nbsp;all&nbsp;supported&nbsp;contry&nbsp;codes.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>debug_level</strong></dt>
<dd><tt>Set&nbsp;and&nbsp;modify&nbsp;the&nbsp;debug&nbsp;level</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_debug_level(self)</dt><dd><tt>Get&nbsp;the&nbsp;current&nbsp;debug&nbsp;level.</tt></dd></dl>
</dd>
<dd><dl><dt><a name="-<em>set</em>"><strong><em>set</em></strong></a> = _set_debug_level(self, level)</dt><dd><tt>Set&nbsp;the&nbsp;new&nbsp;debug&nbsp;level&nbsp;to&nbsp;be&nbsp;used.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>languages</strong></dt>
<dd><tt>List&nbsp;of&nbsp;all&nbsp;supported&nbsp;languages</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_languages(self)</dt><dd><tt>Get&nbsp;the&nbsp;list&nbsp;of&nbsp;all&nbsp;supported&nbsp;languages.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>regions</strong></dt>
<dd><tt>List&nbsp;of&nbsp;all&nbsp;supported&nbsp;region&nbsp;codes</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_regions(self)</dt><dd><tt>Get&nbsp;the&nbsp;list&nbsp;of&nbsp;all&nbsp;supported&nbsp;region&nbsp;codes.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>subscriptions</strong></dt>
<dd><tt>List&nbsp;of&nbsp;all&nbsp;supported&nbsp;premium&nbsp;subscriptions</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_subscriptions(self)</dt><dd><tt>Get&nbsp;the&nbsp;list&nbsp;of&nbsp;supported&nbsp;premium&nbsp;subscriptions.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>svc_name</strong></dt>
<dd><tt>Descriptive&nbsp;name&nbsp;of&nbsp;the&nbsp;service</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_svc_name(self)</dt><dd><tt>Get&nbsp;the&nbsp;descriptive&nbsp;service&nbsp;name.</tt></dd></dl>
</dd>
<dd><dl><dt><a name="-<em>set</em>"><strong><em>set</em></strong></a> = _set_svc_name(self, value)</dt><dd><tt>Set&nbsp;the&nbsp;descriptive&nbsp;service&nbsp;name.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>svc_protocol</strong></dt>
<dd><tt>Service&nbsp;protocol&nbsp;(e.g.&nbsp;HTTP)</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_svc_protocol(self)</dt><dd><tt>Get&nbsp;the&nbsp;service&nbsp;protocol&nbsp;(e.g.&nbsp;HTTP).</tt></dd></dl>
</dd>
<dd><dl><dt><a name="-<em>set</em>"><strong><em>set</em></strong></a> = _set_svc_protocol(self, value)</dt><dd><tt>Set&nbsp;the&nbsp;service&nbsp;protocol&nbsp;(must&nbsp;be&nbsp;supported).</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>svc_server</strong></dt>
<dd><tt>Service&nbsp;server&nbsp;name&nbsp;or&nbsp;IP</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_svc_server(self)</dt><dd><tt>Get&nbsp;the&nbsp;service&nbsp;server&nbsp;name&nbsp;or&nbsp;IP.</tt></dd></dl>
</dd>
<dd><dl><dt><a name="-<em>set</em>"><strong><em>set</em></strong></a> = _set_svc_server(self, value)</dt><dd><tt>Set&nbsp;the&nbsp;service&nbsp;server&nbsp;name&nbsp;or&nbsp;IP.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>svc_service</strong></dt>
<dd><tt>Service&nbsp;path</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_svc_service(self)</dt><dd><tt>Get&nbsp;the&nbsp;URL&nbsp;path&nbsp;for&nbsp;the&nbsp;service.</tt></dd></dl>
</dd>
<dd><dl><dt><a name="-<em>set</em>"><strong><em>set</em></strong></a> = _set_svc_service(self, value)</dt><dd><tt>Set&nbsp;the&nbsp;URL&nbsp;path&nbsp;for&nbsp;the&nbsp;service.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>svc_version</strong></dt>
<dd><tt>Service&nbsp;version&nbsp;string</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_svc_version(self)</dt><dd><tt>Get&nbsp;the&nbsp;service&nbsp;version&nbsp;string.</tt></dd></dl>
</dd>
<dd><dl><dt><a name="-<em>set</em>"><strong><em>set</em></strong></a> = _set_svc_version(self, value)</dt><dd><tt>Set&nbsp;the&nbsp;service&nbsp;version&nbsp;string.</tt></dd></dl>
</dd>
</dl>
<hr>
Data and other attributes inherited from <a href="yahoo.search.html#_Search">yahoo.search._Search</a>:<br>
<dl><dt><strong>METHOD</strong> = 'GET'</dl>

<dl><dt><strong>PROTOCOL</strong> = 'http'</dl>

<dl><dt><strong>SERVER</strong> = 'search.yahooapis.com'</dl>

<dl><dt><strong>VERSION</strong> = 'V1'</dl>

<hr>
Data and other attributes inherited from <a href="yahoo.search.debug.html#Debuggable">yahoo.search.debug.Debuggable</a>:<br>
<dl><dt><strong>__dict__</strong> = &lt;dictproxy object&gt;<dd><tt>dictionary&nbsp;for&nbsp;instance&nbsp;variables&nbsp;(if&nbsp;defined)</tt></dl>

<dl><dt><strong>__weakref__</strong> = &lt;attribute '__weakref__' of 'Debuggable' objects&gt;<dd><tt>list&nbsp;of&nbsp;weak&nbsp;references&nbsp;to&nbsp;the&nbsp;object&nbsp;(if&nbsp;defined)</tt></dl>

</td></tr></table> <p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ffc8d8">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#000000" face="helvetica, arial"><a name="PageData">class <strong>PageData</strong></a>(<a href="yahoo.search.html#_BasicSearch">yahoo.search._BasicSearch</a>)</font></td></tr>
    
<tr bgcolor="#ffc8d8"><td rowspan=2><tt>&nbsp;&nbsp;&nbsp;</tt></td>
<td colspan=2><tt><a href="#PageData">PageData</a>&nbsp;-&nbsp;discover&nbsp;what&nbsp;is&nbsp;in&nbsp;the&nbsp;Yahoo!&nbsp;index<br>
&nbsp;<br>
This&nbsp;class&nbsp;implements&nbsp;the&nbsp;Page&nbsp;Data&nbsp;web&nbsp;service&nbsp;APIs.&nbsp;Allowed<br>
parameters&nbsp;are:<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;query&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;query&nbsp;to&nbsp;search&nbsp;for&nbsp;(UTF-8&nbsp;encoded).<br>
&nbsp;&nbsp;&nbsp;&nbsp;results&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;number&nbsp;of&nbsp;results&nbsp;to&nbsp;return&nbsp;(1-100).<br>
&nbsp;&nbsp;&nbsp;&nbsp;start&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;starting&nbsp;result&nbsp;position&nbsp;to&nbsp;return&nbsp;(1-based).<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The&nbsp;finishing&nbsp;position&nbsp;(start&nbsp;+&nbsp;results&nbsp;-&nbsp;1)&nbsp;cannot<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;exceed&nbsp;1000.<br>
&nbsp;&nbsp;&nbsp;&nbsp;domain_only&nbsp;&nbsp;-&nbsp;Specifies&nbsp;whether&nbsp;to&nbsp;provide&nbsp;results&nbsp;for&nbsp;all<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;subdomains&nbsp;(such&nbsp;as&nbsp;<a href="http://search.yahoo.com">http://search.yahoo.com</a>&nbsp;for<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="http://www.yahoo.com">http://www.yahoo.com</a>)&nbsp;of&nbsp;the&nbsp;domain&nbsp;query,&nbsp;or&nbsp;just&nbsp;the<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;specifically&nbsp;requested&nbsp;domain.&nbsp;If&nbsp;the&nbsp;query&nbsp;is&nbsp;not&nbsp;a<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;domain&nbsp;URL&nbsp;(i.e.&nbsp;it&nbsp;contains&nbsp;path&nbsp;information,&nbsp;such&nbsp;as<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="http://smallbusiness.yahoo.com/webhosting/">http://smallbusiness.yahoo.com/webhosting/</a>),&nbsp;this<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;parameter&nbsp;has&nbsp;no&nbsp;effect.&nbsp;Allowed&nbsp;values&nbsp;are&nbsp;0&nbsp;(default)<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;or&nbsp;1.<br>
&nbsp;&nbsp;&nbsp;&nbsp;output&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;format&nbsp;for&nbsp;the&nbsp;output&nbsp;result.&nbsp;If&nbsp;json&nbsp;or&nbsp;php&nbsp;is<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;requested,&nbsp;the&nbsp;result&nbsp;is&nbsp;not&nbsp;XML&nbsp;parseable,&nbsp;so&nbsp;we<br>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;will&nbsp;simply&nbsp;return&nbsp;the&nbsp;"raw"&nbsp;string.<br>
&nbsp;&nbsp;&nbsp;&nbsp;callback&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;name&nbsp;of&nbsp;the&nbsp;callback&nbsp;function&nbsp;to&nbsp;wrap&nbsp;around<br>
&nbsp;<br>
&nbsp;<br>
Full&nbsp;documentation&nbsp;for&nbsp;this&nbsp;service&nbsp;is&nbsp;available&nbsp;at:<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;<a href="http://developer.yahoo.net/search/siteexplorer/V1/pageData.html">http://developer.yahoo.net/search/siteexplorer/V1/pageData.html</a><br>&nbsp;</tt></td></tr>
<tr><td>&nbsp;</td>
<td width="100%"><dl><dt>Method resolution order:</dt>
<dd><a href="yahoo.search.site.html#PageData">PageData</a></dd>
<dd><a href="yahoo.search.html#_BasicSearch">yahoo.search._BasicSearch</a></dd>
<dd><a href="yahoo.search.html#_Search">yahoo.search._Search</a></dd>
<dd><a href="yahoo.search.debug.html#Debuggable">yahoo.search.debug.Debuggable</a></dd>
<dd><a href="__builtin__.html#object">__builtin__.object</a></dd>
</dl>
<hr>
Data and other attributes defined here:<br>
<dl><dt><strong>NAME</strong> = 'pageData'</dl>

<dl><dt><strong>SERVICE</strong> = 'SiteExplorerService'</dl>

<hr>
Methods inherited from <a href="yahoo.search.html#_Search">yahoo.search._Search</a>:<br>
<dl><dt><a name="PageData-__getattr__"><strong>__getattr__</strong></a>(self, name)</dt></dl>

<dl><dt><a name="PageData-__init__"><strong>__init__</strong></a>(self, app_id, opener<font color="#909090">=None</font>, xml_parser<font color="#909090">=None</font>, result_factory<font color="#909090">=None</font>, debug_level<font color="#909090">=0</font>, **args)</dt><dd><tt>The&nbsp;app_id&nbsp;is&nbsp;a&nbsp;required&nbsp;argument,&nbsp;the&nbsp;Yahoo&nbsp;search&nbsp;services&nbsp;will<br>
not&nbsp;accept&nbsp;requests&nbsp;without&nbsp;a&nbsp;proper&nbsp;app_id.&nbsp;A&nbsp;valid&nbsp;app_id&nbsp;is&nbsp;a<br>
combination&nbsp;of&nbsp;8&nbsp;-&nbsp;40&nbsp;characters,&nbsp;matching&nbsp;the&nbsp;regexp<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;"^[a-zA-Z0-9&nbsp;_()\[\]*+\-=,.:\\@]{8,40}$"<br>
&nbsp;<br>
Please&nbsp;visit&nbsp;<a href="http://developer.yahoo.net/search/">http://developer.yahoo.net/search/</a>&nbsp;to&nbsp;request&nbsp;an&nbsp;App&nbsp;ID<br>
for&nbsp;your&nbsp;own&nbsp;software&nbsp;or&nbsp;application.<br>
&nbsp;&nbsp;&nbsp;&nbsp;<br>
Four&nbsp;optional&nbsp;arguments&nbsp;can&nbsp;also&nbsp;be&nbsp;passed&nbsp;to&nbsp;the&nbsp;constructor:<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;opener&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Opener&nbsp;for&nbsp;urllib2<br>
&nbsp;&nbsp;&nbsp;&nbsp;xml_parser&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Function&nbsp;to&nbsp;parse&nbsp;XML&nbsp;(default:&nbsp;minidom)<br>
&nbsp;&nbsp;&nbsp;&nbsp;result_factory&nbsp;-&nbsp;Result&nbsp;factory&nbsp;class&nbsp;(default:&nbsp;none)<br>
&nbsp;&nbsp;&nbsp;&nbsp;debug_devel&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Debug&nbsp;level&nbsp;(if&nbsp;any)<br>
&nbsp;<br>
All&nbsp;other&nbsp;"named"&nbsp;arguments&nbsp;are&nbsp;passed&nbsp;into&nbsp;as&nbsp;a&nbsp;dictionary&nbsp;to&nbsp;the<br>
<a href="#PageData-set_params">set_params</a>()&nbsp;method.<br>
&nbsp;<br>
The&nbsp;result&nbsp;factory&nbsp;is&nbsp;specific&nbsp;to&nbsp;the&nbsp;particular&nbsp;web&nbsp;service&nbsp;used,<br>
e.g.&nbsp;the&nbsp;different&nbsp;Yahoo&nbsp;Search&nbsp;services&nbsp;will&nbsp;each&nbsp;implement&nbsp;their<br>
own&nbsp;factory&nbsp;class.<br>
&nbsp;<br>
Both&nbsp;of&nbsp;these&nbsp;settings&nbsp;can&nbsp;be&nbsp;controlled&nbsp;via&nbsp;their&nbsp;respective<br>
install&nbsp;method&nbsp;(see&nbsp;below).</tt></dd></dl>

<dl><dt><a name="PageData-__setattr__"><strong>__setattr__</strong></a>(self, name, value)</dt><dd><tt>#&nbsp;Implement&nbsp;the&nbsp;attribute&nbsp;handlers,&nbsp;to&nbsp;avoid&nbsp;confusion</tt></dd></dl>

<dl><dt><a name="PageData-encode_params"><strong>encode_params</strong></a>(self)</dt><dd><tt>URL&nbsp;encode&nbsp;the&nbsp;list&nbsp;of&nbsp;parameter&nbsp;values.</tt></dd></dl>

<dl><dt><a name="PageData-get_param"><strong>get_param</strong></a>(self, param)</dt><dd><tt>Get&nbsp;the&nbsp;value&nbsp;of&nbsp;a&nbsp;query&nbsp;parameter,&nbsp;or&nbsp;the&nbsp;default&nbsp;value&nbsp;if&nbsp;unset</tt></dd></dl>

<dl><dt><a name="PageData-get_results"><strong>get_results</strong></a>(self, stream<font color="#909090">=None</font>, xml_parser<font color="#909090">=None</font>, close<font color="#909090">=True</font>)</dt><dd><tt>Read&nbsp;the&nbsp;stream&nbsp;(if&nbsp;provided)&nbsp;and&nbsp;either&nbsp;return&nbsp;the&nbsp;raw&nbsp;XML,&nbsp;or<br>
send&nbsp;the&nbsp;data&nbsp;to&nbsp;the&nbsp;provided&nbsp;XML&nbsp;parser&nbsp;for&nbsp;further&nbsp;processing.<br>
If&nbsp;no&nbsp;stream&nbsp;is&nbsp;provided,&nbsp;it&nbsp;will&nbsp;call&nbsp;the&nbsp;<a href="#PageData-open">open</a>()&nbsp;method&nbsp;using&nbsp;the<br>
default&nbsp;opener.&nbsp;The&nbsp;stream&nbsp;will&nbsp;be&nbsp;closed&nbsp;upon&nbsp;return&nbsp;from&nbsp;this<br>
method,&nbsp;unless&nbsp;the&nbsp;close=False&nbsp;is&nbsp;passed&nbsp;as&nbsp;an&nbsp;argument.</tt></dd></dl>

<dl><dt><a name="PageData-get_url"><strong>get_url</strong></a>(self, with_params<font color="#909090">=True</font>)</dt><dd><tt>Return&nbsp;the&nbsp;URL&nbsp;for&nbsp;this&nbsp;request&nbsp;object</tt></dd></dl>

<dl><dt><a name="PageData-get_valid_params"><strong>get_valid_params</strong></a>(self)</dt><dd><tt>Return&nbsp;a&nbsp;list&nbsp;of&nbsp;all&nbsp;valid&nbsp;parameters&nbsp;for&nbsp;this&nbsp;search</tt></dd></dl>

<dl><dt><a name="PageData-install_opener"><strong>install_opener</strong></a>(self, opener)</dt><dd><tt>Install&nbsp;a&nbsp;URL&nbsp;opener&nbsp;(for&nbsp;use&nbsp;with&nbsp;urllib2),&nbsp;overriding&nbsp;the<br>
default&nbsp;opener.&nbsp;This&nbsp;is&nbsp;rarely&nbsp;required.</tt></dd></dl>

<dl><dt><a name="PageData-install_result_factory"><strong>install_result_factory</strong></a>(self, result_factory)</dt><dd><tt>Install&nbsp;a&nbsp;python&nbsp;class&nbsp;(not&nbsp;an&nbsp;instance!)&nbsp;that&nbsp;should&nbsp;be&nbsp;used&nbsp;as&nbsp;a<br>
factory&nbsp;for&nbsp;creating&nbsp;result(s)&nbsp;objects.</tt></dd></dl>

<dl><dt><a name="PageData-install_xml_parser"><strong>install_xml_parser</strong></a>(self, xml_parser)</dt><dd><tt>Install&nbsp;an&nbsp;XML&nbsp;parser&nbsp;that&nbsp;will&nbsp;be&nbsp;used&nbsp;for&nbsp;all&nbsp;results&nbsp;for&nbsp;this<br>
object.&nbsp;The&nbsp;parser&nbsp;is&nbsp;expected&nbsp;to&nbsp;"read"&nbsp;the&nbsp;data&nbsp;from&nbsp;the&nbsp;supplied<br>
stream&nbsp;argument.&nbsp;To&nbsp;uninstall&nbsp;the&nbsp;parser&nbsp;(e.g.&nbsp;to&nbsp;make&nbsp;sure&nbsp;we<br>
return&nbsp;raw&nbsp;XML&nbsp;data)&nbsp;simply&nbsp;call&nbsp;this&nbsp;method&nbsp;with&nbsp;an&nbsp;argument&nbsp;of<br>
None.</tt></dd></dl>

<dl><dt><a name="PageData-missing_params"><strong>missing_params</strong></a>(self)</dt><dd><tt>Validate&nbsp;that&nbsp;the&nbsp;search&nbsp;object&nbsp;is&nbsp;propertly&nbsp;setup&nbsp;with&nbsp;all<br>
required&nbsp;parameters&nbsp;etc.&nbsp;This&nbsp;is&nbsp;called&nbsp;automatically&nbsp;before&nbsp;a<br>
search&nbsp;is&nbsp;actually&nbsp;performed,&nbsp;but&nbsp;you&nbsp;can&nbsp;also&nbsp;call&nbsp;it&nbsp;manually<br>
if&nbsp;desired.&nbsp;It&nbsp;will&nbsp;return&nbsp;a&nbsp;list&nbsp;of&nbsp;zero&nbsp;or&nbsp;more&nbsp;paramters&nbsp;that<br>
are&nbsp;missing.</tt></dd></dl>

<dl><dt><a name="PageData-open"><strong>open</strong></a>(self, opener<font color="#909090">=None</font>, retries<font color="#909090">=2</font>)</dt><dd><tt>Open&nbsp;a&nbsp;connection&nbsp;to&nbsp;the&nbsp;webservice&nbsp;server,&nbsp;and&nbsp;request&nbsp;the&nbsp;URL.<br>
The&nbsp;return&nbsp;value&nbsp;is&nbsp;a&nbsp;"stream",&nbsp;which&nbsp;can&nbsp;be&nbsp;read&nbsp;calling&nbsp;the<br>
read(),&nbsp;readline()&nbsp;or&nbsp;readlines()&nbsp;methods.&nbsp;If&nbsp;you&nbsp;override&nbsp;this<br>
method,&nbsp;please&nbsp;make&nbsp;sure&nbsp;to&nbsp;call&nbsp;the&nbsp;<a href="#PageData-missing_params">missing_params</a>()&nbsp;method&nbsp;before<br>
you&nbsp;try&nbsp;to&nbsp;send&nbsp;a&nbsp;request&nbsp;to&nbsp;the&nbsp;Web&nbsp;server.</tt></dd></dl>

<dl><dt><a name="PageData-parse_results"><strong>parse_results</strong></a>(self, xml<font color="#909090">=None</font>)</dt><dd><tt>Get&nbsp;the&nbsp;result&nbsp;from&nbsp;the&nbsp;request,&nbsp;and&nbsp;instantiate&nbsp;the&nbsp;appropriate<br>
result&nbsp;class.&nbsp;This&nbsp;class&nbsp;will&nbsp;be&nbsp;populated&nbsp;with&nbsp;all&nbsp;the&nbsp;data&nbsp;from<br>
the&nbsp;XML&nbsp;object.</tt></dd></dl>

<dl><dt><a name="PageData-reset"><strong>reset</strong></a>(self)</dt><dd><tt>Reset&nbsp;all&nbsp;the&nbsp;parameter&nbsp;values&nbsp;for&nbsp;the&nbsp;object&nbsp;instance.</tt></dd></dl>

<dl><dt><a name="PageData-set_param"><strong>set_param</strong></a>(self, param, value)</dt><dd><tt>Set&nbsp;the&nbsp;value&nbsp;of&nbsp;a&nbsp;query&nbsp;parameter</tt></dd></dl>

<dl><dt><a name="PageData-set_params"><strong>set_params</strong></a>(self, args)</dt><dd><tt>Set&nbsp;one&nbsp;or&nbsp;several&nbsp;query&nbsp;parameters&nbsp;from&nbsp;a&nbsp;dictionary</tt></dd></dl>

<hr>
Properties inherited from <a href="yahoo.search.html#_Search">yahoo.search._Search</a>:<br>
<dl><dt><strong>app_id</strong></dt>
<dd><tt>Application&nbsp;ID&nbsp;(issued&nbsp;by&nbsp;Yahoo),&nbsp;same&nbsp;ass&nbsp;appid</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_app_id(self)</dt><dd><tt>Get&nbsp;the&nbsp;application&nbsp;ID.</tt></dd></dl>
</dd>
<dd><dl><dt><a name="-<em>set</em>"><strong><em>set</em></strong></a> = _set_app_id(self, app_id)</dt><dd><tt>Set&nbsp;the&nbsp;application&nbsp;ID,&nbsp;which&nbsp;is&nbsp;required.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>appid</strong></dt>
<dd><tt>Application&nbsp;ID&nbsp;(issued&nbsp;by&nbsp;Yahoo)</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_app_id(self)</dt><dd><tt>Get&nbsp;the&nbsp;application&nbsp;ID.</tt></dd></dl>
</dd>
<dd><dl><dt><a name="-<em>set</em>"><strong><em>set</em></strong></a> = _set_app_id(self, app_id)</dt><dd><tt>Set&nbsp;the&nbsp;application&nbsp;ID,&nbsp;which&nbsp;is&nbsp;required.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>cc_licenses</strong></dt>
<dd><tt>List&nbsp;of&nbsp;all&nbsp;supported&nbsp;Creative&nbsp;Commons&nbsp;licenses</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_cc_licenses(self)</dt><dd><tt>Get&nbsp;the&nbsp;list&nbsp;of&nbsp;all&nbsp;supported&nbsp;CC&nbsp;licenses.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>countries</strong></dt>
<dd><tt>List&nbsp;of&nbsp;all&nbsp;supported&nbsp;county&nbsp;codes</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_countries(self)</dt><dd><tt>Get&nbsp;the&nbsp;list&nbsp;of&nbsp;all&nbsp;supported&nbsp;contry&nbsp;codes.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>debug_level</strong></dt>
<dd><tt>Set&nbsp;and&nbsp;modify&nbsp;the&nbsp;debug&nbsp;level</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_debug_level(self)</dt><dd><tt>Get&nbsp;the&nbsp;current&nbsp;debug&nbsp;level.</tt></dd></dl>
</dd>
<dd><dl><dt><a name="-<em>set</em>"><strong><em>set</em></strong></a> = _set_debug_level(self, level)</dt><dd><tt>Set&nbsp;the&nbsp;new&nbsp;debug&nbsp;level&nbsp;to&nbsp;be&nbsp;used.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>languages</strong></dt>
<dd><tt>List&nbsp;of&nbsp;all&nbsp;supported&nbsp;languages</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_languages(self)</dt><dd><tt>Get&nbsp;the&nbsp;list&nbsp;of&nbsp;all&nbsp;supported&nbsp;languages.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>regions</strong></dt>
<dd><tt>List&nbsp;of&nbsp;all&nbsp;supported&nbsp;region&nbsp;codes</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_regions(self)</dt><dd><tt>Get&nbsp;the&nbsp;list&nbsp;of&nbsp;all&nbsp;supported&nbsp;region&nbsp;codes.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>subscriptions</strong></dt>
<dd><tt>List&nbsp;of&nbsp;all&nbsp;supported&nbsp;premium&nbsp;subscriptions</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_subscriptions(self)</dt><dd><tt>Get&nbsp;the&nbsp;list&nbsp;of&nbsp;supported&nbsp;premium&nbsp;subscriptions.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>svc_name</strong></dt>
<dd><tt>Descriptive&nbsp;name&nbsp;of&nbsp;the&nbsp;service</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_svc_name(self)</dt><dd><tt>Get&nbsp;the&nbsp;descriptive&nbsp;service&nbsp;name.</tt></dd></dl>
</dd>
<dd><dl><dt><a name="-<em>set</em>"><strong><em>set</em></strong></a> = _set_svc_name(self, value)</dt><dd><tt>Set&nbsp;the&nbsp;descriptive&nbsp;service&nbsp;name.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>svc_protocol</strong></dt>
<dd><tt>Service&nbsp;protocol&nbsp;(e.g.&nbsp;HTTP)</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_svc_protocol(self)</dt><dd><tt>Get&nbsp;the&nbsp;service&nbsp;protocol&nbsp;(e.g.&nbsp;HTTP).</tt></dd></dl>
</dd>
<dd><dl><dt><a name="-<em>set</em>"><strong><em>set</em></strong></a> = _set_svc_protocol(self, value)</dt><dd><tt>Set&nbsp;the&nbsp;service&nbsp;protocol&nbsp;(must&nbsp;be&nbsp;supported).</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>svc_server</strong></dt>
<dd><tt>Service&nbsp;server&nbsp;name&nbsp;or&nbsp;IP</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_svc_server(self)</dt><dd><tt>Get&nbsp;the&nbsp;service&nbsp;server&nbsp;name&nbsp;or&nbsp;IP.</tt></dd></dl>
</dd>
<dd><dl><dt><a name="-<em>set</em>"><strong><em>set</em></strong></a> = _set_svc_server(self, value)</dt><dd><tt>Set&nbsp;the&nbsp;service&nbsp;server&nbsp;name&nbsp;or&nbsp;IP.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>svc_service</strong></dt>
<dd><tt>Service&nbsp;path</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_svc_service(self)</dt><dd><tt>Get&nbsp;the&nbsp;URL&nbsp;path&nbsp;for&nbsp;the&nbsp;service.</tt></dd></dl>
</dd>
<dd><dl><dt><a name="-<em>set</em>"><strong><em>set</em></strong></a> = _set_svc_service(self, value)</dt><dd><tt>Set&nbsp;the&nbsp;URL&nbsp;path&nbsp;for&nbsp;the&nbsp;service.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>svc_version</strong></dt>
<dd><tt>Service&nbsp;version&nbsp;string</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_svc_version(self)</dt><dd><tt>Get&nbsp;the&nbsp;service&nbsp;version&nbsp;string.</tt></dd></dl>
</dd>
<dd><dl><dt><a name="-<em>set</em>"><strong><em>set</em></strong></a> = _set_svc_version(self, value)</dt><dd><tt>Set&nbsp;the&nbsp;service&nbsp;version&nbsp;string.</tt></dd></dl>
</dd>
</dl>
<hr>
Data and other attributes inherited from <a href="yahoo.search.html#_Search">yahoo.search._Search</a>:<br>
<dl><dt><strong>METHOD</strong> = 'GET'</dl>

<dl><dt><strong>PROTOCOL</strong> = 'http'</dl>

<dl><dt><strong>SERVER</strong> = 'search.yahooapis.com'</dl>

<dl><dt><strong>VERSION</strong> = 'V1'</dl>

<hr>
Data and other attributes inherited from <a href="yahoo.search.debug.html#Debuggable">yahoo.search.debug.Debuggable</a>:<br>
<dl><dt><strong>__dict__</strong> = &lt;dictproxy object&gt;<dd><tt>dictionary&nbsp;for&nbsp;instance&nbsp;variables&nbsp;(if&nbsp;defined)</tt></dl>

<dl><dt><strong>__weakref__</strong> = &lt;attribute '__weakref__' of 'Debuggable' objects&gt;<dd><tt>list&nbsp;of&nbsp;weak&nbsp;references&nbsp;to&nbsp;the&nbsp;object&nbsp;(if&nbsp;defined)</tt></dl>

</td></tr></table> <p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#ffc8d8">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#000000" face="helvetica, arial"><a name="UpdateNotification">class <strong>UpdateNotification</strong></a>(<a href="yahoo.search.html#_Search">yahoo.search._Search</a>)</font></td></tr>
    
<tr bgcolor="#ffc8d8"><td rowspan=2><tt>&nbsp;&nbsp;&nbsp;</tt></td>
<td colspan=2><tt><a href="#UpdateNotification">UpdateNotification</a>&nbsp;-&nbsp;Tell&nbsp;the&nbsp;Yahoo!&nbsp;to&nbsp;index&nbsp;your&nbsp;URLs<br>
&nbsp;<br>
This&nbsp;class&nbsp;implements&nbsp;the&nbsp;Update&nbsp;Notification&nbsp;web&nbsp;service&nbsp;APIs.&nbsp;Allowed<br>
parameters&nbsp;are:<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;url&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;The&nbsp;URL&nbsp;to&nbsp;submit<br>
&nbsp;<br>
&nbsp;<br>
Full&nbsp;documentation&nbsp;for&nbsp;this&nbsp;service&nbsp;is&nbsp;available&nbsp;at:<br>
&nbsp;<br>
&nbsp;<a href="http://developer.yahoo.com/search/siteexplorer/V1/updateNotification.html">http://developer.yahoo.com/search/siteexplorer/V1/updateNotification.html</a><br>&nbsp;</tt></td></tr>
<tr><td>&nbsp;</td>
<td width="100%"><dl><dt>Method resolution order:</dt>
<dd><a href="yahoo.search.site.html#UpdateNotification">UpdateNotification</a></dd>
<dd><a href="yahoo.search.html#_Search">yahoo.search._Search</a></dd>
<dd><a href="yahoo.search.debug.html#Debuggable">yahoo.search.debug.Debuggable</a></dd>
<dd><a href="__builtin__.html#object">__builtin__.object</a></dd>
</dl>
<hr>
Data and other attributes defined here:<br>
<dl><dt><strong>NAME</strong> = 'updateNotification'</dl>

<dl><dt><strong>SERVICE</strong> = 'SiteExplorerService'</dl>

<hr>
Methods inherited from <a href="yahoo.search.html#_Search">yahoo.search._Search</a>:<br>
<dl><dt><a name="UpdateNotification-__getattr__"><strong>__getattr__</strong></a>(self, name)</dt></dl>

<dl><dt><a name="UpdateNotification-__init__"><strong>__init__</strong></a>(self, app_id, opener<font color="#909090">=None</font>, xml_parser<font color="#909090">=None</font>, result_factory<font color="#909090">=None</font>, debug_level<font color="#909090">=0</font>, **args)</dt><dd><tt>The&nbsp;app_id&nbsp;is&nbsp;a&nbsp;required&nbsp;argument,&nbsp;the&nbsp;Yahoo&nbsp;search&nbsp;services&nbsp;will<br>
not&nbsp;accept&nbsp;requests&nbsp;without&nbsp;a&nbsp;proper&nbsp;app_id.&nbsp;A&nbsp;valid&nbsp;app_id&nbsp;is&nbsp;a<br>
combination&nbsp;of&nbsp;8&nbsp;-&nbsp;40&nbsp;characters,&nbsp;matching&nbsp;the&nbsp;regexp<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;"^[a-zA-Z0-9&nbsp;_()\[\]*+\-=,.:\\@]{8,40}$"<br>
&nbsp;<br>
Please&nbsp;visit&nbsp;<a href="http://developer.yahoo.net/search/">http://developer.yahoo.net/search/</a>&nbsp;to&nbsp;request&nbsp;an&nbsp;App&nbsp;ID<br>
for&nbsp;your&nbsp;own&nbsp;software&nbsp;or&nbsp;application.<br>
&nbsp;&nbsp;&nbsp;&nbsp;<br>
Four&nbsp;optional&nbsp;arguments&nbsp;can&nbsp;also&nbsp;be&nbsp;passed&nbsp;to&nbsp;the&nbsp;constructor:<br>
&nbsp;<br>
&nbsp;&nbsp;&nbsp;&nbsp;opener&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Opener&nbsp;for&nbsp;urllib2<br>
&nbsp;&nbsp;&nbsp;&nbsp;xml_parser&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Function&nbsp;to&nbsp;parse&nbsp;XML&nbsp;(default:&nbsp;minidom)<br>
&nbsp;&nbsp;&nbsp;&nbsp;result_factory&nbsp;-&nbsp;Result&nbsp;factory&nbsp;class&nbsp;(default:&nbsp;none)<br>
&nbsp;&nbsp;&nbsp;&nbsp;debug_devel&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;Debug&nbsp;level&nbsp;(if&nbsp;any)<br>
&nbsp;<br>
All&nbsp;other&nbsp;"named"&nbsp;arguments&nbsp;are&nbsp;passed&nbsp;into&nbsp;as&nbsp;a&nbsp;dictionary&nbsp;to&nbsp;the<br>
<a href="#UpdateNotification-set_params">set_params</a>()&nbsp;method.<br>
&nbsp;<br>
The&nbsp;result&nbsp;factory&nbsp;is&nbsp;specific&nbsp;to&nbsp;the&nbsp;particular&nbsp;web&nbsp;service&nbsp;used,<br>
e.g.&nbsp;the&nbsp;different&nbsp;Yahoo&nbsp;Search&nbsp;services&nbsp;will&nbsp;each&nbsp;implement&nbsp;their<br>
own&nbsp;factory&nbsp;class.<br>
&nbsp;<br>
Both&nbsp;of&nbsp;these&nbsp;settings&nbsp;can&nbsp;be&nbsp;controlled&nbsp;via&nbsp;their&nbsp;respective<br>
install&nbsp;method&nbsp;(see&nbsp;below).</tt></dd></dl>

<dl><dt><a name="UpdateNotification-__setattr__"><strong>__setattr__</strong></a>(self, name, value)</dt><dd><tt>#&nbsp;Implement&nbsp;the&nbsp;attribute&nbsp;handlers,&nbsp;to&nbsp;avoid&nbsp;confusion</tt></dd></dl>

<dl><dt><a name="UpdateNotification-encode_params"><strong>encode_params</strong></a>(self)</dt><dd><tt>URL&nbsp;encode&nbsp;the&nbsp;list&nbsp;of&nbsp;parameter&nbsp;values.</tt></dd></dl>

<dl><dt><a name="UpdateNotification-get_param"><strong>get_param</strong></a>(self, param)</dt><dd><tt>Get&nbsp;the&nbsp;value&nbsp;of&nbsp;a&nbsp;query&nbsp;parameter,&nbsp;or&nbsp;the&nbsp;default&nbsp;value&nbsp;if&nbsp;unset</tt></dd></dl>

<dl><dt><a name="UpdateNotification-get_results"><strong>get_results</strong></a>(self, stream<font color="#909090">=None</font>, xml_parser<font color="#909090">=None</font>, close<font color="#909090">=True</font>)</dt><dd><tt>Read&nbsp;the&nbsp;stream&nbsp;(if&nbsp;provided)&nbsp;and&nbsp;either&nbsp;return&nbsp;the&nbsp;raw&nbsp;XML,&nbsp;or<br>
send&nbsp;the&nbsp;data&nbsp;to&nbsp;the&nbsp;provided&nbsp;XML&nbsp;parser&nbsp;for&nbsp;further&nbsp;processing.<br>
If&nbsp;no&nbsp;stream&nbsp;is&nbsp;provided,&nbsp;it&nbsp;will&nbsp;call&nbsp;the&nbsp;<a href="#UpdateNotification-open">open</a>()&nbsp;method&nbsp;using&nbsp;the<br>
default&nbsp;opener.&nbsp;The&nbsp;stream&nbsp;will&nbsp;be&nbsp;closed&nbsp;upon&nbsp;return&nbsp;from&nbsp;this<br>
method,&nbsp;unless&nbsp;the&nbsp;close=False&nbsp;is&nbsp;passed&nbsp;as&nbsp;an&nbsp;argument.</tt></dd></dl>

<dl><dt><a name="UpdateNotification-get_url"><strong>get_url</strong></a>(self, with_params<font color="#909090">=True</font>)</dt><dd><tt>Return&nbsp;the&nbsp;URL&nbsp;for&nbsp;this&nbsp;request&nbsp;object</tt></dd></dl>

<dl><dt><a name="UpdateNotification-get_valid_params"><strong>get_valid_params</strong></a>(self)</dt><dd><tt>Return&nbsp;a&nbsp;list&nbsp;of&nbsp;all&nbsp;valid&nbsp;parameters&nbsp;for&nbsp;this&nbsp;search</tt></dd></dl>

<dl><dt><a name="UpdateNotification-install_opener"><strong>install_opener</strong></a>(self, opener)</dt><dd><tt>Install&nbsp;a&nbsp;URL&nbsp;opener&nbsp;(for&nbsp;use&nbsp;with&nbsp;urllib2),&nbsp;overriding&nbsp;the<br>
default&nbsp;opener.&nbsp;This&nbsp;is&nbsp;rarely&nbsp;required.</tt></dd></dl>

<dl><dt><a name="UpdateNotification-install_result_factory"><strong>install_result_factory</strong></a>(self, result_factory)</dt><dd><tt>Install&nbsp;a&nbsp;python&nbsp;class&nbsp;(not&nbsp;an&nbsp;instance!)&nbsp;that&nbsp;should&nbsp;be&nbsp;used&nbsp;as&nbsp;a<br>
factory&nbsp;for&nbsp;creating&nbsp;result(s)&nbsp;objects.</tt></dd></dl>

<dl><dt><a name="UpdateNotification-install_xml_parser"><strong>install_xml_parser</strong></a>(self, xml_parser)</dt><dd><tt>Install&nbsp;an&nbsp;XML&nbsp;parser&nbsp;that&nbsp;will&nbsp;be&nbsp;used&nbsp;for&nbsp;all&nbsp;results&nbsp;for&nbsp;this<br>
object.&nbsp;The&nbsp;parser&nbsp;is&nbsp;expected&nbsp;to&nbsp;"read"&nbsp;the&nbsp;data&nbsp;from&nbsp;the&nbsp;supplied<br>
stream&nbsp;argument.&nbsp;To&nbsp;uninstall&nbsp;the&nbsp;parser&nbsp;(e.g.&nbsp;to&nbsp;make&nbsp;sure&nbsp;we<br>
return&nbsp;raw&nbsp;XML&nbsp;data)&nbsp;simply&nbsp;call&nbsp;this&nbsp;method&nbsp;with&nbsp;an&nbsp;argument&nbsp;of<br>
None.</tt></dd></dl>

<dl><dt><a name="UpdateNotification-missing_params"><strong>missing_params</strong></a>(self)</dt><dd><tt>Validate&nbsp;that&nbsp;the&nbsp;search&nbsp;object&nbsp;is&nbsp;propertly&nbsp;setup&nbsp;with&nbsp;all<br>
required&nbsp;parameters&nbsp;etc.&nbsp;This&nbsp;is&nbsp;called&nbsp;automatically&nbsp;before&nbsp;a<br>
search&nbsp;is&nbsp;actually&nbsp;performed,&nbsp;but&nbsp;you&nbsp;can&nbsp;also&nbsp;call&nbsp;it&nbsp;manually<br>
if&nbsp;desired.&nbsp;It&nbsp;will&nbsp;return&nbsp;a&nbsp;list&nbsp;of&nbsp;zero&nbsp;or&nbsp;more&nbsp;paramters&nbsp;that<br>
are&nbsp;missing.</tt></dd></dl>

<dl><dt><a name="UpdateNotification-open"><strong>open</strong></a>(self, opener<font color="#909090">=None</font>, retries<font color="#909090">=2</font>)</dt><dd><tt>Open&nbsp;a&nbsp;connection&nbsp;to&nbsp;the&nbsp;webservice&nbsp;server,&nbsp;and&nbsp;request&nbsp;the&nbsp;URL.<br>
The&nbsp;return&nbsp;value&nbsp;is&nbsp;a&nbsp;"stream",&nbsp;which&nbsp;can&nbsp;be&nbsp;read&nbsp;calling&nbsp;the<br>
read(),&nbsp;readline()&nbsp;or&nbsp;readlines()&nbsp;methods.&nbsp;If&nbsp;you&nbsp;override&nbsp;this<br>
method,&nbsp;please&nbsp;make&nbsp;sure&nbsp;to&nbsp;call&nbsp;the&nbsp;<a href="#UpdateNotification-missing_params">missing_params</a>()&nbsp;method&nbsp;before<br>
you&nbsp;try&nbsp;to&nbsp;send&nbsp;a&nbsp;request&nbsp;to&nbsp;the&nbsp;Web&nbsp;server.</tt></dd></dl>

<dl><dt><a name="UpdateNotification-parse_results"><strong>parse_results</strong></a>(self, xml<font color="#909090">=None</font>)</dt><dd><tt>Get&nbsp;the&nbsp;result&nbsp;from&nbsp;the&nbsp;request,&nbsp;and&nbsp;instantiate&nbsp;the&nbsp;appropriate<br>
result&nbsp;class.&nbsp;This&nbsp;class&nbsp;will&nbsp;be&nbsp;populated&nbsp;with&nbsp;all&nbsp;the&nbsp;data&nbsp;from<br>
the&nbsp;XML&nbsp;object.</tt></dd></dl>

<dl><dt><a name="UpdateNotification-reset"><strong>reset</strong></a>(self)</dt><dd><tt>Reset&nbsp;all&nbsp;the&nbsp;parameter&nbsp;values&nbsp;for&nbsp;the&nbsp;object&nbsp;instance.</tt></dd></dl>

<dl><dt><a name="UpdateNotification-set_param"><strong>set_param</strong></a>(self, param, value)</dt><dd><tt>Set&nbsp;the&nbsp;value&nbsp;of&nbsp;a&nbsp;query&nbsp;parameter</tt></dd></dl>

<dl><dt><a name="UpdateNotification-set_params"><strong>set_params</strong></a>(self, args)</dt><dd><tt>Set&nbsp;one&nbsp;or&nbsp;several&nbsp;query&nbsp;parameters&nbsp;from&nbsp;a&nbsp;dictionary</tt></dd></dl>

<hr>
Properties inherited from <a href="yahoo.search.html#_Search">yahoo.search._Search</a>:<br>
<dl><dt><strong>app_id</strong></dt>
<dd><tt>Application&nbsp;ID&nbsp;(issued&nbsp;by&nbsp;Yahoo),&nbsp;same&nbsp;ass&nbsp;appid</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_app_id(self)</dt><dd><tt>Get&nbsp;the&nbsp;application&nbsp;ID.</tt></dd></dl>
</dd>
<dd><dl><dt><a name="-<em>set</em>"><strong><em>set</em></strong></a> = _set_app_id(self, app_id)</dt><dd><tt>Set&nbsp;the&nbsp;application&nbsp;ID,&nbsp;which&nbsp;is&nbsp;required.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>appid</strong></dt>
<dd><tt>Application&nbsp;ID&nbsp;(issued&nbsp;by&nbsp;Yahoo)</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_app_id(self)</dt><dd><tt>Get&nbsp;the&nbsp;application&nbsp;ID.</tt></dd></dl>
</dd>
<dd><dl><dt><a name="-<em>set</em>"><strong><em>set</em></strong></a> = _set_app_id(self, app_id)</dt><dd><tt>Set&nbsp;the&nbsp;application&nbsp;ID,&nbsp;which&nbsp;is&nbsp;required.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>cc_licenses</strong></dt>
<dd><tt>List&nbsp;of&nbsp;all&nbsp;supported&nbsp;Creative&nbsp;Commons&nbsp;licenses</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_cc_licenses(self)</dt><dd><tt>Get&nbsp;the&nbsp;list&nbsp;of&nbsp;all&nbsp;supported&nbsp;CC&nbsp;licenses.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>countries</strong></dt>
<dd><tt>List&nbsp;of&nbsp;all&nbsp;supported&nbsp;county&nbsp;codes</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_countries(self)</dt><dd><tt>Get&nbsp;the&nbsp;list&nbsp;of&nbsp;all&nbsp;supported&nbsp;contry&nbsp;codes.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>debug_level</strong></dt>
<dd><tt>Set&nbsp;and&nbsp;modify&nbsp;the&nbsp;debug&nbsp;level</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_debug_level(self)</dt><dd><tt>Get&nbsp;the&nbsp;current&nbsp;debug&nbsp;level.</tt></dd></dl>
</dd>
<dd><dl><dt><a name="-<em>set</em>"><strong><em>set</em></strong></a> = _set_debug_level(self, level)</dt><dd><tt>Set&nbsp;the&nbsp;new&nbsp;debug&nbsp;level&nbsp;to&nbsp;be&nbsp;used.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>languages</strong></dt>
<dd><tt>List&nbsp;of&nbsp;all&nbsp;supported&nbsp;languages</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_languages(self)</dt><dd><tt>Get&nbsp;the&nbsp;list&nbsp;of&nbsp;all&nbsp;supported&nbsp;languages.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>regions</strong></dt>
<dd><tt>List&nbsp;of&nbsp;all&nbsp;supported&nbsp;region&nbsp;codes</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_regions(self)</dt><dd><tt>Get&nbsp;the&nbsp;list&nbsp;of&nbsp;all&nbsp;supported&nbsp;region&nbsp;codes.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>subscriptions</strong></dt>
<dd><tt>List&nbsp;of&nbsp;all&nbsp;supported&nbsp;premium&nbsp;subscriptions</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_subscriptions(self)</dt><dd><tt>Get&nbsp;the&nbsp;list&nbsp;of&nbsp;supported&nbsp;premium&nbsp;subscriptions.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>svc_name</strong></dt>
<dd><tt>Descriptive&nbsp;name&nbsp;of&nbsp;the&nbsp;service</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_svc_name(self)</dt><dd><tt>Get&nbsp;the&nbsp;descriptive&nbsp;service&nbsp;name.</tt></dd></dl>
</dd>
<dd><dl><dt><a name="-<em>set</em>"><strong><em>set</em></strong></a> = _set_svc_name(self, value)</dt><dd><tt>Set&nbsp;the&nbsp;descriptive&nbsp;service&nbsp;name.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>svc_protocol</strong></dt>
<dd><tt>Service&nbsp;protocol&nbsp;(e.g.&nbsp;HTTP)</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_svc_protocol(self)</dt><dd><tt>Get&nbsp;the&nbsp;service&nbsp;protocol&nbsp;(e.g.&nbsp;HTTP).</tt></dd></dl>
</dd>
<dd><dl><dt><a name="-<em>set</em>"><strong><em>set</em></strong></a> = _set_svc_protocol(self, value)</dt><dd><tt>Set&nbsp;the&nbsp;service&nbsp;protocol&nbsp;(must&nbsp;be&nbsp;supported).</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>svc_server</strong></dt>
<dd><tt>Service&nbsp;server&nbsp;name&nbsp;or&nbsp;IP</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_svc_server(self)</dt><dd><tt>Get&nbsp;the&nbsp;service&nbsp;server&nbsp;name&nbsp;or&nbsp;IP.</tt></dd></dl>
</dd>
<dd><dl><dt><a name="-<em>set</em>"><strong><em>set</em></strong></a> = _set_svc_server(self, value)</dt><dd><tt>Set&nbsp;the&nbsp;service&nbsp;server&nbsp;name&nbsp;or&nbsp;IP.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>svc_service</strong></dt>
<dd><tt>Service&nbsp;path</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_svc_service(self)</dt><dd><tt>Get&nbsp;the&nbsp;URL&nbsp;path&nbsp;for&nbsp;the&nbsp;service.</tt></dd></dl>
</dd>
<dd><dl><dt><a name="-<em>set</em>"><strong><em>set</em></strong></a> = _set_svc_service(self, value)</dt><dd><tt>Set&nbsp;the&nbsp;URL&nbsp;path&nbsp;for&nbsp;the&nbsp;service.</tt></dd></dl>
</dd>
</dl>
<dl><dt><strong>svc_version</strong></dt>
<dd><tt>Service&nbsp;version&nbsp;string</tt></dd>
<dd><dl><dt><a name="-<em>get</em>"><strong><em>get</em></strong></a> = _get_svc_version(self)</dt><dd><tt>Get&nbsp;the&nbsp;service&nbsp;version&nbsp;string.</tt></dd></dl>
</dd>
<dd><dl><dt><a name="-<em>set</em>"><strong><em>set</em></strong></a> = _set_svc_version(self, value)</dt><dd><tt>Set&nbsp;the&nbsp;service&nbsp;version&nbsp;string.</tt></dd></dl>
</dd>
</dl>
<hr>
Data and other attributes inherited from <a href="yahoo.search.html#_Search">yahoo.search._Search</a>:<br>
<dl><dt><strong>METHOD</strong> = 'GET'</dl>

<dl><dt><strong>PROTOCOL</strong> = 'http'</dl>

<dl><dt><strong>SERVER</strong> = 'search.yahooapis.com'</dl>

<dl><dt><strong>VERSION</strong> = 'V1'</dl>

<hr>
Data and other attributes inherited from <a href="yahoo.search.debug.html#Debuggable">yahoo.search.debug.Debuggable</a>:<br>
<dl><dt><strong>__dict__</strong> = &lt;dictproxy object&gt;<dd><tt>dictionary&nbsp;for&nbsp;instance&nbsp;variables&nbsp;(if&nbsp;defined)</tt></dl>

<dl><dt><strong>__weakref__</strong> = &lt;attribute '__weakref__' of 'Debuggable' objects&gt;<dd><tt>list&nbsp;of&nbsp;weak&nbsp;references&nbsp;to&nbsp;the&nbsp;object&nbsp;(if&nbsp;defined)</tt></dl>

</td></tr></table></td></tr></table><p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#55aa55">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Data</strong></big></font></td></tr>
    
<tr><td bgcolor="#55aa55"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%"><strong>__author__</strong> = 'Leif Hedstrom &lt;leif@ogre.com&gt;'<br>
<strong>__date__</strong> = 'Tue Feb 27 21:54:42 MST 2007'<br>
<strong>__revision__</strong> = '$Id: site.py,v 1.3 2007/02/28 05:20:09 zwoop Exp $'<br>
<strong>__version__</strong> = '$Revision: 1.3 $'</td></tr></table><p>
<table width="100%" cellspacing=0 cellpadding=2 border=0 summary="section">
<tr bgcolor="#7799ee">
<td colspan=3 valign=bottom>&nbsp;<br>
<font color="#ffffff" face="helvetica, arial"><big><strong>Author</strong></big></font></td></tr>
    
<tr><td bgcolor="#7799ee"><tt>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</tt></td><td>&nbsp;</td>
<td width="100%">Leif&nbsp;Hedstrom&nbsp;&lt;leif@ogre.com&gt;</td></tr></table>
</body></html>